%define language	korean
%define basefontdir	%{_datadir}/fonts/%{language}
%define ttfontdir	%{basefontdir}/TrueType
%define bmpfontdir	%{basefontdir}/misc
%define cidmapdir	%{_sysconfdir}/ghostscript


Name:		fonts-korean
Version:	1.0.11
Release: 9.1
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	xorg-x11-font-utils gzip

Source0:        ftp://ftp.mizi.com/pub/baekmuk/baekmuk-ttf-2.1.tar.gz
Source1:        ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc-2.1.tar.gz
Source2:        baekmuk-2.1.tar.gz
Source3:	FAPIcidfmap.ko
Source4:	cidfmap.ko


Summary:	Free Korean Bitmap/TrueType fonts

Requires(post): ttmkfdir >= 3.0.6, mkfontdir, fontconfig, /usr/sbin/chkfontpath
Requires(postun): fontconfig, /usr/sbin/chkfontpath

Obsoletes:	ttfonts-ko
%description
This package provides the free Korean Bitmap/TrueType fonts.


%prep
%setup -T -c -a 0 -a 2

%build
for file in *.bdf; do
    bdftopcf $file | gzip -9 > ${file%.bdf}.pcf.gz
done
mkdir doc; pushd doc
tar xvfz %{SOURCE1}
popd

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{ttfontdir}
install -d $RPM_BUILD_ROOT%{bmpfontdir}
install -d $RPM_BUILD_ROOT%{cidmapdir}

install -m 0644 *.ttf $RPM_BUILD_ROOT%{ttfontdir}/
install -m 0644 *.pcf.gz $RPM_BUILD_ROOT%{bmpfontdir}/
install -m 0444 fonts.alias $RPM_BUILD_ROOT%{bmpfontdir}/ttfonts-ko.alias

# for ghostscript
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{cidmapdir}/

# for dummy
touch $RPM_BUILD_ROOT%{basefontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.scale
touch $RPM_BUILD_ROOT%{bmpfontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{bmpfontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{bmpfontdir}/encodings.dir

%clean
rm -rf $RPM_BUILD_ROOT


%post
{
    umask 133
    touch %{ttfontdir} 2> /dev/null && {
	/usr/bin/ttmkfdir -d %{ttfontdir} -o %{ttfontdir}/fonts.scale
	mkfontdir %{ttfontdir}
	/usr/sbin/chkfontpath -q -a %{ttfontdir}
    }
    mkfontdir %{bmpfontdir} && /usr/sbin/chkfontpath -q -a %{bmpfontdir}
    fc-cache 2> /dev/null
}

%postun
{
    if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %{ttfontdir}
	/usr/sbin/chkfontpath -q -r %{bmpfontdir}
    fi
    fc-cache 2> /dev/null
}


%files
%defattr(-, root, root)
%doc doc
%dir %{basefontdir}
%dir %{ttfontdir}
%dir %{bmpfontdir}
%dir %{cidmapdir}
%{ttfontdir}
%{bmpfontdir}
%ghost %verify(not md5 size mtime) %{basefontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.scale
%ghost %verify(not md5 size mtime) %{bmpfontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{bmpfontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{bmpfontdir}/encodings.dir
%{cidmapdir}/FAPIcidfmap.ko
%{cidmapdir}/cidfmap.ko


%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 17 2005 Warren Togami <wtogami@redhat.com> - 1.0.11-9
- split req(foo,bar) for erasure ordering

* Tue Nov 15 2005 Jeremy Katz <katzj@redhat.com> - 1.0.11-8
- better mkfontdir call

* Mon Nov 14 2005 Warren Togami <wtogami@redhat.com> - 1.0.11-7
- mkfontdir for modular X

* Tue Aug 16 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.11-6
- Added cidfmap.ko for the latest ghostscript.

* Thu Jul 14 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.11-5
- use FAPIcidfmap instead of CIDFnmap for gs8.

* Wed Apr 20 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.11-4
- Updated the font path in CIDFnmap,ko (John Thacker, #155405)

* Thu Feb 24 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.11-2
- Use /usr/share/fonts/korean instead of /usr/share/fonts/ko

* Tue Feb 22 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.11-1
- Initial release for the integrated Korean fonts package.
